[gnome-calendar] build: remove autogen warnings



commit 7cd5a40a0dd5fe3ba8155c7c7e03f316ac35aaa3
Author: Erick Pérez Castellanos <erick red gmail com>
Date:   Wed Dec 24 15:55:56 2014 -0500

    build: remove autogen warnings
    
    Copied autogen.sh from folks projects where pwithnall cares for
    autotools stuff.

 autogen.sh |   37 ++++++++++++++++++++-----------------
 1 files changed, 20 insertions(+), 17 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 3846b7c..8e9caee 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,22 +1,25 @@
 #!/bin/sh
 # Run this to generate all the initial makefiles, etc.
+set -e
 
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
+autoreconf -i -f
+intltoolize --force --copy --automake
 
-PKG_NAME="gnome-calendar"
+if test -z "$NOCONFIGURE"; then
+    run_configure=true
+    for arg in $*; do
+       case $arg in
+            --no-configure)
+               run_configure=false
+               ;;
+            *)
+               ;;
+       esac
+    done
+else
+    run_configure=false
+fi
 
-(test -f $srcdir/configure.ac \
-  && test -d $srcdir/src) || {
-    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
-    echo " top-level gnome-calendar directory"
-    exit 1
-}
-
-which gnome-autogen.sh || {
-    echo "You need to install gnome-common from GNOME Git (or from"
-    echo "your OS vendor's package manager)."
-    exit 1
-}
-
-USE_GNOME2_MACROS=1 USE_COMMON_DOC_BUILD=yes . gnome-autogen.sh
+if test $run_configure = true; then
+    ./configure "$@"
+fi


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]